unit IdRegister;

interface

{DEFINE Borland}

{$IFDEF Borland}
  {$R IdRegister.dcr}
{$ELSE}
  {$R IdRegisterCool.dcr}
{$ENDIF}
uses
{$IFDEF VER140}DesignIntf, DesignEditors,{$ELSE}Dsgnintf,{$ENDIF}
  Classes;

// Procs
  procedure Register;

implementation

uses
  IdAntiFreeze, IdChargenServer,
  IdChargenUDPServer, IdCoder3To4,
  IdCoderMIME, IdCoderQuotedPrintable,
  IdCoderUUE, IdCoderXXE,
  IdCookieManager, IdDateTimeStamp,
  IdDayTime, IdDayTimeServer,
  IdDayTimeUDP, IdDayTimeUDPServer,
  IdDICTServer, IdDiscardServer,
  IdDiscardUDPServer, IdDNSResolver,
  IdEcho, IdEchoServer,
  IdEchoUDP, IdEchoUDPServer,
  IdFinger, IdFingerServer,
  IdFTP, IdFTPServer,
  IdGopher, IdGopherServer,
  IdHashMessageDigest, IdHL7,
  IdHostnameServer, IdHTTP,
  IdHTTPServer, IdIcmpClient,
  IdIdent, IdIdentServer,
  IdIMAP4, IdIMAP4Server,
  IdIntercept, IdIOHandlerSocket,
  IdIOHandlerStream, IdIPMCastClient,
  IdIPMCastServer, IdIPWatch,
  IdIRC, IdIrcServer,
  IdLogDebug, IdLogEvent,
  IdLogFile, IdLPR,
  IdMailBox, IdMappedFTP, IdMappedPortTCP,
  IdMappedPortUDP, IdMessage,
  IdMessageCoderMIME, IdNetworkCalculator,
  IdNNTP, IdNNTPServer,
  IdPOP3, IdPOP3Server,
  IdQotd, IdQotdServer,
  IdQotdUDP, IdQotdUDPServer,
  IdResourceStrings, IdRexec,
  IdRexecServer, IdRSH,
  IdRSHServer, IdServerIOHandler,
  IdServerIOHandlerSocket, IdSimpleServer,
  IdSMTP, IdSMTPServer,
  IdSNMP, IdSNPP,
  IdSNTP, IdSocks,
  IdSSLOpenSSL, IdSysLog,
  IdSysLogMessage, IdSyslogServer,
  IdTCPClient, IdTCPServer,
  IdTelnet, IdTelnetServer,
  IdThreadMgrDefault, IdThreadMgrPool,
  IdTime, IdTimeServer,
  IdTimeUDP, IdTimeUDPServer,
  IdTrivialFTP, IdTrivialFTPServer,
  IdTunnelMaster, IdTunnelSlave,
  IdUDPClient, IdUDPServer,
  IdUserAccounts, IdVCard,
  IdWhois, IdWhoIsServer;

procedure Register;
begin
  RegisterComponents(RSRegIndyClients, [   {do not localize}
   TIdTCPClient,
   TIdUDPClient,
   //
   TIdDayTime,
   TIdDayTimeUDP,
   TIdDNSResolver,
   TIdEcho,
   TIdEchoUDP,
   TIdFinger,
   TIdFTP,
   TIdGopher,
   TIdHTTP,
   TIdIcmpClient,
   TIdIdent,
   TIdIMAP4,
   TIdIPMCastClient,
   TIdIRC,
   TIdLPR,
   TIdNNTP,
   TIdPOP3,
   TIdQOTD,
   TIdQOTDUDP,
   TIdRexec,
   TIdRSH,
   TIdSMTP,
   TIdSNMP,
   TIdSNPP,
   TIdSNTP,
   TIdSysLog,
   TIdTelnet,
   TIdTime,
   TIdTimeUDP,
   TIdTrivialFTP,
   TIdWhois]);

  RegisterComponents(RSRegIndyServers, [
   TIdTCPServer,
   TIdUDPServer,
   TIdChargenServer,
   TIdChargenUDPServer,
   TIdDayTimeServer,
   TIdDayTimeUDPServer,
   TIdDICTServer,
   TIdDISCARDServer,
   TIdDiscardUDPServer,
   TIdECHOServer,
   TIdEchoUDPServer,
   TIdFingerServer,
   TIdFTPServer,
   TIdGopherServer,
   TIdHostNameServer,
   TIdHTTPServer,
   TIdIdentServer,
   TIdIMAP4Server,
   TIdIPMCastServer,
   TIdIRCServer,
   TIdMappedFTP,
   TIdMappedPop3,
   TIdMappedPortTCP,
   TIdMappedPortUDP,
   TIdMappedTelnet,
   TIdNNTPServer,
   TIdPOP3Server,
   TIdQOTDServer,
   TIdQotdUDPServer,
   TIdRexecServer,
   TIdRSHServer,
   TIdSimpleServer,
   TIdSMTPServer,
   TIdSyslogServer,
   TIdTelnetServer,
   TIdTimeServer,
   TIdTimeUDPServer,
   TIdTrivialFTPServer,
   TIdTunnelMaster,
   TIdTunnelSlave,
   TIdWhoIsServer

   ]);
  RegisterComponents(RSRegIndyIntercepts,
    [TIdConnectionIntercept,
     TIdLogDebug,
     TIdLogEvent,
     TIdLogFile]);
  RegisterComponents(RSRegIndyIOHandlers,[
   {Open SSL should be supported in Kylix now}
   TIdIOHandlerSocket,
   TIdIOHandlerStream,
   TIdServerIOHandlerSocket,
   TIdServerIOHandlerSSL,
   TIdSSLIOHandlerSocket]
  );

  RegisterComponents(RSRegIndyMisc, [  {do not localize}
    TIdSocksInfo,
    TIdAntiFreeze,
   TIdCookieManager,
   TIdEncoderMIME, TIdEncoderUUE, TIdEncoderXXE, TIdEncoderQuotedPrintable,
   TIdDateTimeStamp,
   TIdDecoderMIME, TIdDecoderUUE, TIdDecoderXXE, TIdDecoderQuotedPrintable,
   TIdIPWatch,
   TIdHL7,

   TIdMailBox,
   TIdMessage, TIdMessageDecoderMIME,
   TIdNetworkCalculator,
   TIdSysLogMessage,
   TIdThreadMgrDefault,
   TIdThreadMgrPool,
   TIdUserManager,
   TIdVCard
   ]);
end;

end.
